svn commit: r192860 - stable/7/usr.bin/kdump

Dag-Erling Smorgrav des at FreeBSD.org
Tue May 26 21:40:16 UTC 2009


Author: des
Date: Tue May 26 21:40:15 2009
New Revision: 192860
URL: http://svn.freebsd.org/changeset/base/192860

Log:
  MFC r175936: add shebang.

Modified:
  stable/7/usr.bin/kdump/   (props changed)
  stable/7/usr.bin/kdump/mkioctls
  stable/7/usr.bin/kdump/mksubr

Modified: stable/7/usr.bin/kdump/mkioctls
==============================================================================
--- stable/7/usr.bin/kdump/mkioctls	Tue May 26 21:39:09 2009	(r192859)
+++ stable/7/usr.bin/kdump/mkioctls	Tue May 26 21:40:15 2009	(r192860)
@@ -1,7 +1,9 @@
-set -e
-
+#!/bin/sh
+#
 # $FreeBSD$
 
+set -e
+
 if [ "x$1" = "x-s" ]; then
 	use_switch=1
 	shift
@@ -65,13 +67,13 @@ BEGIN {
 }
 
 /^#[ 	]*define[ 	]+[A-Za-z_][A-Za-z0-9_]*[ 	]+_IO/ {
-	
+
 	# find where the name starts
 	for (i = 1; i <= NF; i++)
 		if ($i ~ /define/)
 			break;
 	++i;
-	# 
+	#
 	if (use_switch)
 		printf("\tcase %s:\n\t\treturn(\"%s\");\n", $i, $i);
 	else

Modified: stable/7/usr.bin/kdump/mksubr
==============================================================================
--- stable/7/usr.bin/kdump/mksubr	Tue May 26 21:39:09 2009	(r192859)
+++ stable/7/usr.bin/kdump/mksubr	Tue May 26 21:40:15 2009	(r192860)
@@ -1,5 +1,7 @@
-set -e
-
+#!/bin/sh
+#
+# $FreeBSD$
+#
 # Generates kdump_subr.c
 # mkioctls is a special-purpose script, and works fine as it is
 # now, so it remains independent. The idea behind how it generates
@@ -16,7 +18,7 @@ set -e
 # that the auto_*_type() functions are inappropriate for.
 # MANUAL: Manually entered and must therefore be manually updated.
 
-# $FreeBSD$
+set -e
 
 LC_ALL=C; export LC_ALL
 
@@ -427,7 +429,7 @@ void
 sendrecvflagsname (int flags)
 {
 	int	or = 0;
-	
+
 	if (flags == 0) {
 		(void)printf("0");
 		return;


More information about the svn-src-stable-7 mailing list